ProductGroup:
  type: object
  properties:
    id:
      type: integer
      description: Product gluing ID
    product_group_id:
      type: integer
      description: Product gluing ID from PIM
    category_id:
      type: integer
      description: Category ID from PIM
    name:
      type: string
      description: Name
    main_product_id:
      type: integer
      description: Main product ID from PIM
      nullable: true
    is_active:
      type: boolean
      description: Activity from PIM
    is_migrated:
      type: boolean
      description: Saved/created during migration of records from master services
    category:
      $ref: '../../categories/schemas/categories.yaml#/Category'
      description: Category
      nullable: true
    main_product:
      $ref: '../../products/schemas/products.yaml#/Product'
      description: Main product
    products:
      type: array
      description: Products gluing
      items:
        $ref: '../../products/schemas/products.yaml#/Product'
    product_links:
      type: array
      description: Product links to gluing
      items:
        $ref: './product_group_products.yaml#/ProductGroupProduct'
    created_at:
      type: string
      format: date-time
      description: Product Group created at
    updated_at:
      type: string
      format: date-time
      description: Product Group updated at
  required:
    - id
    - product_group_id
    - category_id
    - name
    - main_product_id
    - is_active
    - is_migrated
    - created_at
    - updated_at

SearchProductGroupsRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      type: object
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchProductGroupsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/ProductGroup'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
